package org.jboss.cache.commands.legacy;

import org.jboss.cache.commands.WriteCommand;

/**
 * A write command that can be reversed by calling a rollback.
 *
 * @author Manik Surtani (<a href="mailto:manik@jboss.org">manik@jboss.org</a>)
 * @since 3.0
 * @deprecated will be removed along with optimistic and pessimistic locking.
 */
@Deprecated
public interface ReversibleCommand extends WriteCommand
{
   /**
    * Reverses a command that has already been invoked.
    * <p/>
    * <b>Important</b>: this method will be invoked at the end of interceptors chain. It should never be called directly from
    * a custom interceptor.
    */
   void rollback();
}
