package org.jboss.cache.io;

import org.jgroups.util.Buffer;

import java.io.ByteArrayInputStream;
import java.io.InputStream;

/**
 * A subclass of a JGroups Buffer
 */
public class ByteBuffer extends Buffer
{
   public ByteBuffer(byte[] bytes, int offset, int length)
   {
      super(bytes, offset, length);
   }

   /**
    * @return an input stream for the bytes in the buffer
    */
   public InputStream getStream()
   {
      return new ByteArrayInputStream(getBuf(), getOffset(), getLength());
   }
}
